* {
    margin: 0;
    margin-block: 0;
    padding: 0;
    box-sizing: border-box;
}

html { 
    --white: #FFF;
    --black: #000;
    --gray-dark: #C2C2C2;
    --gray-light: #EEEAEF;
    --primary-color: #4C0E5F;
    --error-color: #E41F18;
    --error-color-200: #FF7A7A;
    --error-color-100: #FFF5F5;
    --success-color: #00874B;
    --success-color-200: #8DD9B6;
    --success-color-100: #EBF6F1;

    height: 100%;
}

body {
    font-family: Manrope, sans-serif;
    min-height: 100%;
    width: 100%;
    font-size: 14px;
}

a {
    color: var(--primary-color);
    text-decoration: none;
}

button {
    outline: none;
    border: none;
    background: none;
    cursor: pointer;
}

ul {
    list-style: none;
}

.hidden {
    visibility: hidden;
}

body:not(.is-web) .hide-mobile {
    visibility: hidden;
}

body:not(.is-web) .remove-mobile {
    display: none;
}

.container {
    display: flex;
    flex-direction: column;
}

.header {
    background-color: var(--gray-light);
    border-bottom-left-radius: 24px;
    padding: 8px 16px;
    height: 56px;
    flex-shrink: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    margin-bottom: 4px;
}

.header-title {
    font-size: 16px;
    font-weight: 700;
    color: var(--primary-color);
    text-align: center;
}

.arrow-icon {
    border: solid var(--primary-color);
    border-width: 2px 0 0 2px;
    height: 6px;
    width: 6px;
    box-sizing: content-box;
    margin-left: 4px;
}

.header .arrow-icon {
    -ms-transform: rotate(-45deg);
    transform: rotate(-45deg);
}

.icon-button {
    background-color: transparent;
    padding: 0;
    width: 40px;
    height: 40px;
}

.header-icon-button {
    display: flex;
    align-items: center;
    position: absolute;
    left: 0;
    margin-left: 24px;
}

.header-list-container {
    display: flex;
    align-items: center;
    position: absolute;
    right: 0;
    margin-right: 24px;
}

.locale-list-item {
    padding: 5px;
}

.text-highlight {
    font-weight: 700;
}

.alert {
    text-align: center;
    margin-bottom: 32px; 
}

.main-container {
    background-color: var(--gray-light);
    border-top-left-radius: 24px;
    padding: 24px;
    flex: 1 1 auto;
    display: flex;
    justify-content: center;
}

.content-container {
    flex: 1;
    max-width: 480px;
}

.input {
    margin-bottom: 24px;
}

.input label {
    color: var(--primary-color);
    font-weight: 700;
    line-height: 16px;
}

.input input, .input textarea {
    color: var(--primary-color);
    background: var(--white);
    border-radius: 16px;
    border: 2px solid var(--white);
    font-size: 16px;
    font-weight: normal;
    outline: none;
    display: block;
    width: 100%;
    margin-top: 4px;
    -webkit-appearance: none;
    -moz-appearance: none;
}

.input input {
    height: 46px;
    padding: 0px 16px;   
}

.input textarea {
    line-height: 18px;
    padding: 8px 16px;
    resize: none;
}

.input input[type="date"] {
    display: flex;
}

.input input:focus, .input textarea:focus {
    border: 2px solid var(--primary-color);
}

.input-message-container {
    display: flex;
}

.message-placeholder {
    display: none;
}

.input-message {
    font-size: 12px;
    line-height: 14px;
    margin-top: 4px;
    color: var(--primary-color);
    display: inline-block;
}

.input.error label,
.input.error .input-message {
  color: var(--error-color);
}

.input.error input {
  border: 1px solid var(--error-color);
}

.password-toggle-container {
    display: flex;
    align-items: center;
    position: relative;
    margin-top: 4px;
}

.password-toggle-container input {
    margin-top: 0;
}

.password-input input {
    flex: 1;
    padding-right: 48px;
}

.password-input .icon-button {
    background: url('../assets/icons/password_show.svg') center no-repeat;
    width: 32px;
    height: 32px;
    position: absolute;
    right: 8px;
}

.simple-button {
    background-color: var(--primary-color);
    border-radius: 16px;
    color: var(--white);
    font-weight: 700;
    font-size: 18px;
    line-height: 32px;
    padding: 8px 16px;
    width: 100%;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.4);
    margin-bottom: 32px;
}

.simple-button:disabled {
    background-color: var(--gray-dark);
    box-shadow: none;
    cursor: default;
}

.text-button {
    font-weight: 700;
    color: var(--primary-color);
    text-align: center;
    font-size: 16px;
    display: block;
    margin: 0 auto;
}

.toast-container {
    position: fixed;
    width: 100%;
    padding: 0 24px;
    bottom: 32px;
    display: flex;
    justify-content: center;
    pointer-events: none;
}

.toast-content-container {
    max-width: 480px;
    width: 100%;
}

.toast {
    align-items: center;
    border-radius: 16px;
    border-style: solid;
    border-width: 1px;
    display: flex;
    padding: 16px;
    margin: 8px 0;
    font-size: 16px;
    animation: toast-slide 5.6s ease-in-out forwards;
    pointer-events: initial;
}

@keyframes toast-slide {
    0% {
      transform: translateY(calc(100% + 32px));
      opacity: 0;
    }
  
    10% {
        transform: translateY(0%);
        opacity: 1;  
    }

    90% {
        transform: translateY(0%);
        opacity: 1;
    }

    100% {
        transform: translateY(calc(100% + 32px));
        opacity: 0;
        visibility: hidden;
    }
}

.toast-icon {
    margin-right: 16px;
    display: block;
    height: 40px;
    min-width: 40px;
}

.toast.success {
    background-color: var(--success-color-100);
    border-color: var(--success-color-200);
    color: var(--success-color);
}

.toast.error {
    background-color: var(--error-color-100);
    border-color: var(--error-color-200);
    color: var(--error-color);
}

.toast.success .toast-icon {
    background-image: url('../assets/icons/check-circle.svg');
}

.toast.error .toast-icon {
    background-image: url('../assets/icons/error-circle.svg');
}

.toast-message {
    margin-right: 16px;
    word-break: break-word;
}

.toast-close-button {
    margin-right: 8px;
    margin-left: auto;
}

.checkbox-container {
    margin-bottom: 32px;    
}

.low-level-checkbox-container {
    margin-left: 16px;
    display: flex;
    flex-direction: column;
}

.checkbox {
    color: var(--primary-color);
    display: inline-flex;
    font-size: 14px;
    line-height: 16px;
    margin-bottom: 16px;
}
  
.checkbox input[type="checkbox"] {
    appearance: none;
    -webkit-appearance: none;
    box-sizing: content-box;
    background: var(--white);
    border-radius: 4px;
    border: 2px solid var(--gray-dark);
    flex-shrink: 0;
    height: 20px;
    width: 20px;
    margin-right: 8px;
}

.checkbox input[type="checkbox"]:checked {
    border-color: var(--primary-color);
    display: flex;
    justify-content: center;
    position: relative;
}

.checkbox input[type="checkbox"]:checked::after {
    content: "";
    display: block;
    width: 3px;
    height: 9px;
    border: solid var(--primary-color);
    border-width: 0 2px 2px 0;
    position: absolute;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
    top: 4px;
}
  
.checkbox-label {
    display: block;
    margin: auto 0;
}

@media only screen and (max-width: 768px) {
    .is-web .header {
        padding: 8px;
        justify-content: space-between;
    }

    .is-web .header-title {
        padding-right: 16px;
    }

    .is-web .header-icon-button {
        position: static;
        margin-left: 0;
    }

    .is-web .header-list-container {
        position: static;
        margin-right: 0;
    }
}
